//
//  CorkBoardAppDelegate.m
//  CorkBoard
//
//  Created by 荻原 剛志 on 11/07/31.
//  Copyright 2011. All rights reserved.
//

#import "CorkBoardAppDelegate.h"
#import "CorkBoardController.h"

@implementation CorkBoardAppDelegate

@synthesize window;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    NSRect sc = [[NSScreen mainScreen] frame];
    sc.size.width /= 2.0;
    sc.size.height /= 2.0;
    sc.origin = NSZeroPoint;
    [window setFrame:[window frameRectForContentRect:sc]
             display:YES];
    [window center];
}

- (NSSize)windowWillResize:(NSWindow *)sender toSize:(NSSize)frameSize
{
    NSRect newrect = NSZeroRect;
    NSRect sc = [[NSScreen mainScreen] frame];
    CGFloat ratio = sc.size.height / sc.size.width;
    newrect.size.width = frameSize.width;
    newrect.size.height = (int)(frameSize.width * ratio);
    return [window frameRectForContentRect:newrect].size;
}

- (BOOL)application:(NSApplication *)theApplication openFile:(NSString *)filename
{   // ドキュメントファイルをオープンする
    return [controller openURL:[NSURL fileURLWithPath:filename]];
}

@end
