//
//  CorkBoardView.h
//  CorkBoard
//
//  Created by 荻原 剛志 on 11/06/18.
//  Copyright 2011. All rights reserved.
//

#import <Cocoa/Cocoa.h>
@class CorkBoardController;

@interface CorkBoardView : NSView {
@private
    NSMutableArray *URLList; // ドラッグ＆ドロップされたファイル
    NSColor *baseColor;      // 背景の色
    IBOutlet CorkBoardController *controller;
}
@property (assign) NSColor *baseColor;
- (void)changeColor:(NSColor *)color;
- (NSData *)screenSizeJPEGStream; // JPEG形式のデータを取り出す
/* NSDraggingDestination 非形式プロトコル */
- (NSDragOperation)draggingEntered:(id <NSDraggingInfo>)sender;
- (void)draggingExited:(id <NSDraggingInfo>)sender;
- (BOOL)performDragOperation:(id <NSDraggingInfo>)sender;
@end
