//
//  CorkBoardController.h
//  CorkBoard
//
//  Created by 荻原 剛志 on 2011.6.21.
//  Copyright 2011. All rights reserved.
//

#import <Cocoa/Cocoa.h>
@class CorkBoardView;

@interface CorkBoardController : NSObject {
@private
    IBOutlet CorkBoardView *mainView;
    NSMenu *menu; // PinupViewで共有されるメニュー
}
@property (assign) IBOutlet NSMenu *menu;
- (BOOL)openURL:(NSURL *)url;  // ファイルを開く
- (IBAction)clear:(id)sender;  // 画面をクリア
- (IBAction)save:(id)sender;   // 保存
- (IBAction)load:(id)sender;   // 読み込み
- (IBAction)export:(id)sender; // 壁紙画像を保存
@end
