//
//  PinupView.h
//  CorkBoard
//
//  Created by 荻原 剛志 on 11/06/18.
//  Copyright 2011. All rights reserved.
//

#import <Cocoa/Cocoa.h>
@class CorkBoardController;

@interface PinupView : NSView {
@private
    NSImage *image;    // 画像
    NSURL   *url;      // ファイルのURL
    NSSize  origSize;  // 本来の画像の大きさ
    CGFloat opaque;    // 不透明度
    NSPoint firstPt;   // 最初にクリックされた座標
    NSPoint firstOrig; // 最初にクリックされた時の画像の位置
}
@property (readonly) NSURL *url;
@property (assign) CGFloat opaque;
- (id)initWithURL:(NSURL *)arg scale:(CGFloat)prop;
- (void)setResizable:(BOOL)flag;
- (void)drawScreenSize:(CGFloat)ratio; // 壁紙を作る際の描画
- (IBAction)changeOrder:(id)sender;    // 最前面、最背面へ
- (IBAction)delete:(id)sender;         // 自らを消去する
@end
